# FLUX 2 Pro > High-quality image generation and editing with support for eight reference images - **Provider**: replicate - **Model ID**: black-forest-labs/flux-2-pro - **Category**: image_generation - **Credits**: 100 per request - **Pricing Type**: input_based ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `input_images` (array, optional): List of input images for image-to-image generation. Maximum 8 images. Must be jpeg, png, gif, or webp. - `aspect_ratio` (string, optional): Aspect ratio for the generated image. Use 'match_input_image' to match the first input image's aspect ratio. - `seed` (integer, optional): Random seed. Set for reproducible generation - `output_format` (string, optional): Format of the output images. - `safety_tolerance` (integer, optional): Safety tolerance, 1 is most strict and 5 is most permissive (Range: min: 1, max: 5) - `width` (integer, optional): Width of the generated image. Only used when aspect_ratio=custom. Must be a multiple of 32 (if it's not, it will be rounded to nearest multiple of 32). - `prompt` (string, **required**): Text prompt for image generation - `resolution` (string, optional): Resolution in megapixels. Up to 4 MP is possible, but 2 MP or below is recommended. The maximum image size is 2048x2048, which means that high-resolution images may not respect the resolution if aspect ratio is not 1:1. Resolution is not used when aspect_ratio is 'custom'. When aspect_ratio is 'match_input_image', use 'match_input_image' to match the input image's resolution (clamped to 0.5-4 MP). - `output_quality` (integer, optional): Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs (Range: min: 0, max: 100) - `height` (integer, optional): Height of the generated image. Only used when aspect_ratio=custom. Must be a multiple of 32 (if it's not, it will be rounded to nearest multiple of 32). ## Example Request ```json { "model": "black-forest-labs/flux-2-pro", "input": { "aspect_ratio": "1:1", "input_images": [], "output_format": "webp", "safety_tolerance": 2, "prompt_upsampling": false, "prompt": "Glossy candy-colored 3D letters in hot pink, electric orange, and lime green on a sun-drenched poolside patio with bold terrazzo tiles and vintage lounge chairs in turquoise and yellow. Shot on Kodachrome film with a Hasselblad 500C, warm golden afternoon sunlight, dramatic lens flare, punchy oversaturated colors with that distinctive 70s yellow-orange cast, shallow depth of field with the text sharp in the foreground, tropical palms and a sparkling aquamarine pool behind that spells out \"Run FLUX.2 [pro] on Replicate!\"", "resolution": "1 MP", "output_quality": 80 } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags image-generation, image-editing, text-to-image, image-to-image, photorealistic, text-rendering, black-forest-labs, flux ## Documentation https://replicate.com/playground